sendSalesOrderPaymentReminder
Requires permission sales:sales_order:send.
Email the customer a payment reminder for an order. A valid customer email is required.
Errors: a failed call returns a GraphQL errors entry, not a field on the result, and data may be null or partial. Read the entry's extensions.code and message; every shape and code is in the Error reference.
Example:
- GraphQL
- cURL
mutation SendSalesOrderPaymentReminder($customerEmail: String!, $salesOrderId: ID!) {
sendSalesOrderPaymentReminder(
customerEmail: $customerEmail
salesOrderId: $salesOrderId
) {
emailActivityId
error
message
messageId
replyToAddress
success
}
}
curl -X POST "https://<api-host>/graphql" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
--data @- <<'EOF'
{
"query": "mutation SendSalesOrderPaymentReminder($customerEmail: String!, $salesOrderId: ID!) {\n sendSalesOrderPaymentReminder(\n customerEmail: $customerEmail\n salesOrderId: $salesOrderId\n ) {\n emailActivityId\n error\n message\n messageId\n replyToAddress\n success\n }\n}",
"variables": {
"customerEmail": "string",
"salesOrderId": "id"
}
}
EOF
Variables:
{
"customerEmail": "string",
"salesOrderId": "id"
}
Response:
{
"data": {
"sendSalesOrderPaymentReminder": {
"emailActivityId": "string",
"error": "string",
"message": "string",
"messageId": "string",
"replyToAddress": "string",
"success": true
}
}
}
sendSalesOrderPaymentReminder(
customerEmail: String!
salesOrderId: ID!
): SendEmailResult!
Arguments
sendSalesOrderPaymentReminder.customerEmail ● String! non-null scalar
The recipient's email address.
sendSalesOrderPaymentReminder.salesOrderId ● ID! non-null scalar
The ID of the sales order the reminder is about.
Type
SendEmailResult object
The result of sending an email.